Name:          glassfish-fi
Version:       1.2.12
Release:       1
Summary:       Fast Infoset
Group:         Development/Java
License:       CDDL
URL:           https://fi.dev.java.net/

# svn export https://svn.java.net/svn/fi~svn/tags/1_2_12/ glassfish-fi-1.2.12
# find glassfish-fi-1.2.12/ -name '*.class' -delete
# find glassfish-fi-1.2.12/ -name '*.jar' -delet
# tar czf glassfish-fi-1.2.12-src-svn.tar.gz glassfish-fi-1.2.12
Source0:       glassfish-fi-%{version}-src-svn.tar.gz

#Source1:       sun-fi-1.2.10-depmap
#Source2:       sun-fastinfoset-component-info.xml
# remove org.apache.maven.wagon  wagon-webdav
# replace javax.xml.bind jsr173_api with  stax (bea-)stax-api
Patch0:        glassfish-fi-%{version}-pom.patch
#Patch1:        sun-fi-1.2.10-fastinfoset-pom_xml.patch
#Patch2:        sun-fi-1.2.10-utilities-pom_xml.patch

BuildRequires: jpackage-utils
#BuildRequires: jvnet-parent
BuildRequires: bea-stax-api
#BuildRequires: findbugs-maven-plugin
BuildRequires: maven
#BuildRequires: maven-antrun-extended-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-plugin-tools-api
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-source-plugin
#BuildRequires: stax-ex
#BuildRequires: sun-xmlstreambuffer
BuildRequires: xsom
BuildRequires: maven-surefire-provider-junit4

Requires:      bea-stax-api
Requires:      jpackage-utils
#Requires:      stax-ex
#Requires:      sun-xmlstreambuffer
Requires:      xsom

BuildArch:     noarch

%description
Fast Infoset specifies a standardized binary encoding for the
XML Information Set. An XML infoset (such as a DOM tree,
StAX events or SAX events in programmatic representations)
may be serialized to an XML 1.x document or, as specified by the
Fast Infoset standard, may be serialized to a fast infoset document.
Fast infoset documents are generally smaller in size and
faster to parse and serialize than equivalent XML documents.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Open Source implementation of the Fast Infoset Standard for Binary XML.

This package contains javadoc for %{name}

%prep
%setup -q
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -m 644 fastinfoset/target/FastInfoset-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
cp -p pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-project.pom
cp -p fastinfoset/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

